=== debian/control ===
--- 
+++ 
@@ -13,20 +13,20 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
                libassuan-dev,
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadicalendar-dev (>= 4:20.12.3~),
-               libkf5akonadicontact-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
-               libkf5akonadisearch-dev (>= 4:20.12.3~),
-               libkf5akonadiserver-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadicalendar-dev (>= 4:21.08.1~),
+               libkf5akonadicontact-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadisearch-dev (>= 4:21.08.1~),
+               libkf5akonadiserver-dev (>= 4:21.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5auth-dev (>= 5.31.0~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:20.12.3~),
+               libkf5calendarsupport-dev (>= 4:21.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5crash-dev (>= 5.31.0~),
@@ -34,33 +34,33 @@
                libkf5dnssd-dev (>= 5.31.0~),
                libkf5doctools-dev (>= 5.31.0~),
                libkf5globalaccel-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5itemviews-dev (>= 5.31.0~),
                libkf5kcmutils-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5khtml-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5libkleo-dev (>= 4:20.12.3~),
-               libkf5mailimporter-dev (>= 4:20.12.3~),
-               libkf5messagecomposer-dev (>= 4:20.12.3~),
-               libkf5messagecore-dev (>= 4:20.12.3~),
-               libkf5messagelist-dev (>= 4:20.12.3~),
-               libkf5messageviewer-dev (>= 4:20.12.3~),
-               libkf5mime-dev (>= 20.12.3~),
-               libkf5mimetreeparser-dev (>= 4:20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5libkleo-dev (>= 4:21.08.1~),
+               libkf5mailimporter-dev (>= 4:21.08.1~),
+               libkf5messagecomposer-dev (>= 4:21.08.1~),
+               libkf5messagecore-dev (>= 4:21.08.1~),
+               libkf5messagelist-dev (>= 4:21.08.1~),
+               libkf5messageviewer-dev (>= 4:21.08.1~),
+               libkf5mime-dev (>= 21.08.1~),
+               libkf5mimetreeparser-dev (>= 4:21.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
                libkf5notifyconfig-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
-               libkf5pimtextedit-dev (>= 20.12.3~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
+               libkf5pimtextedit-dev (>= 21.08.1~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
-               libkf5templateparser-dev (>= 4:20.12.3~),
+               libkf5templateparser-dev (>= 4:21.08.1~),
                libkf5texteditor-dev (>= 5.31.0~),
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5wallet-dev (>= 5.31.0~),
-               libkf5webengineviewer-dev (>= 4:20.12.3~),
+               libkf5webengineviewer-dev (>= 4:21.08.1~),
                libkf5webkit-dev (>= 5.31.0~),
                libkf5widgetsaddons-dev (>= 5.31.0~),
                libkf5windowsystem-dev (>= 5.31.0~),
