=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,6 @@
 include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
 
 add_subdirectory(icons)
-add_subdirectory(kconf_update)
 
 set(libakonadiconsole_tracker_SRCS
     jobtracker.cpp
@@ -41,6 +40,43 @@
     notificationmonitor.cpp
     querydebugger.cpp
     tagpropertiesdialog.cpp
+    uistatesaver.cpp
+    monitorsmodel.h
+    notificationfiltermodel.h
+    collectionaclpage.h
+    utils.h
+    jobtrackermodel.h
+    metatypes.h
+    jobtrackersearchwidget.h
+    debugwidget.h
+    jobtracker.h
+    collectioninternalspage.h
+    mainwindow.h
+    browserwidget.h
+    akonadibrowsermodel.h
+    collectionattributespage.h
+    notificationmonitor.h
+    agentconfigmodel.h
+    monitorswidget.h
+    notificationmodel.h
+    mainwidget.h
+    dbconsole.h
+    tagpropertiesdialog.h
+    querydebugger.h
+    logging.h
+    uistatesaver.h
+    debugfiltermodel.h
+    loggingfiltermodel.h
+    dbbrowser.h
+    agentconfigdialog.h
+    jobtrackerwidget.h
+    connectionpage.h
+    jobtrackerfilterproxymodel.h
+    loggingmodel.h
+    agentwidget.h
+    dbaccess.h
+    debugmodel.h
+    instanceselector.h
     ${libakonadiconsole_tracker_SRCS}
 )
 
@@ -48,19 +84,20 @@
     set(libakonadiconsole_SRCS
         ${libakonadiconsole_SRCS}
         searchwidget.cpp
-    )
-endif()
-
-qt5_generate_dbus_interface(jobtracker.h org.freedesktop.Akonadi.JobTracker.xml)
-qt5_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.JobTracker.xml jobtracker.h JobTracker)
-qt5_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.akonadiconsole.logger.xml logging.h Logging)
-
-qt5_add_dbus_interfaces(libakonadiconsole_SRCS
+        searchwidget.h
+    )
+endif()
+
+qt_generate_dbus_interface(jobtracker.h org.freedesktop.Akonadi.JobTracker.xml)
+qt_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.freedesktop.Akonadi.JobTracker.xml jobtracker.h JobTracker)
+qt_add_dbus_adaptor(libakonadiconsole_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.akonadiconsole.logger.xml logging.h Logging)
+
+qt_add_dbus_interfaces(libakonadiconsole_SRCS
     ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.TracerNotification.xml
     )
 # Use intalled interface once we can depend on Akoandi 1.1
 set_source_files_properties(org.freedesktop.Akonadi.DebugInterface.xml PROPERTIES CLASSNAME DebugInterface)
-qt5_add_dbus_interface(libakonadiconsole_SRCS
+qt_add_dbus_interface(libakonadiconsole_SRCS
     org.freedesktop.Akonadi.DebugInterface.xml
     debuginterface
     )
@@ -68,12 +105,12 @@
 set_source_files_properties(${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.StorageDebugger.xml
     PROPERTIES INCLUDE querydebugger.h
 )
-qt5_add_dbus_interface(libakonadiconsole_SRCS
+qt_add_dbus_interface(libakonadiconsole_SRCS
     ${AKONADI_DBUS_INTERFACES_DIR}/org.freedesktop.Akonadi.StorageDebugger.xml
     storagedebuggerinterface
     )
 
-qt5_wrap_ui(libakonadiconsole_SRCS
+qt_wrap_ui(libakonadiconsole_SRCS
     agentwidget.ui
     agentconfigdialog.ui
     browserwidget_itemview.ui
@@ -98,7 +135,9 @@
 
 
 add_library(libakonadiconsole ${libakonadiconsole_SRCS})
-
+if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
+    set_target_properties(libakonadiconsole PROPERTIES UNITY_BUILD ON)
+endif()
 generate_export_header(libakonadiconsole BASE_NAME libakonadiconsole)
 
 target_link_libraries(libakonadiconsole
@@ -109,7 +148,7 @@
     KF5::Mime
     KF5::Contacts
     KF5::CalendarCore
-    Qt5::Sql
+    Qt::Sql
     KF5::Completion
     KF5::ItemViews
     KF5::TextWidgets
@@ -141,9 +180,8 @@
 
 set(akonadiconsole_SRCS
     main.cpp
-    )
-
-qt5_add_resources(akonadiconsole_SRCS akonadiconsole.qrc)
+    akonadiconsole.qrc
+    )
 
 file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/*-apps-akonadiconsole.png")
 ecm_add_app_icon(akonadiconsole_SRCS ICONS ${ICONS_SRCS})
